The Open Group Base Specifications Issue 7
IEEE Std 1003.1, 2013 Edition
Copyright © 2001-2013 The IEEE and The Open Group

#### NAME

> _tolower - transliterate uppercase characters to lowercase

#### SYNOPSIS

> ``[OB XSI] #include <ctype.h>
> int _tolower(int` c`);``
> `
> `

#### DESCRIPTION

> The _tolower() macro shall be equivalent to tolower(c) except that the application shall ensure that the argument c is an uppercase letter.

#### RETURN VALUE

> Upon successful completion, _tolower() shall return the lowercase letter corresponding to the argument passed.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> Applications should use the tolower() function instead of the obsolescent _tolower() function.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> The _tolower() function may be removed in a future version.

#### SEE ALSO

> tolower, isupper

> XBD Locale, <ctype.h>

#### CHANGE HISTORY

> First released in Issue 1. Derived from Issue 1 of the SVID.

#### Issue 6

> The normative text is updated to avoid use of the term "must" for application requirements.

#### Issue 7

> The _tolower() function is marked obsolescent.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2013 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]